<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class GebuehrenElementVisitorApplyVsbMitgliederRabatt extends GebuehrenElementVisitorBase
{
  public const RABATT_HOEHE = -2.0;

  public function visit(\GebuehrenElement $elem)
  {
    $parts = $elem->getGebuehrensaetze();
    if (count($parts) > 0) {
      
      $mitgliederrabatt = clone($parts[0]);
      $mitgliederrabatt->id = '';
      $mitgliederrabatt->betrag_ermaessigt = 0.00;

      $mitgliederrabatt->betrag = static::RABATT_HOEHE;
      $mitgliederrabatt->text = 'Mitgliederrabatt';
      $mitgliederrabatt->internerTyp = Kursgebuehr::NACHLASS_GEBUEHR;

      $elem->addGebuehrensatz($mitgliederrabatt);
    }
  }
}